Katello - Bug #24044

Invalid Message for Users with Viewer Access
06/22/2018 11:59 AM - Marek Hulan

Status: New

Priority: Low

Assignee:

Category: Roles and Permissions

Target version: Katello Backlog

Difficulty: Fixed in Releases:

Triaged: Yes Found in Releases: Katello 3.7.0
Bugzilla link: 1593880 Red Hat JIRA:

Pull request:

Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1593880

Description of problem:
When | login to Katello as a user with only Viewer access, I'm still seeing messages for admin users.

Version-Release number of selected component (if applicable):
Katello 3.7

How reproducible:
Always

Steps to Reproduce:

1. Create a User with Viewer access

2. Log in to Satellite as the created user

3. Go to Content > Content Views (there should be no Content Views created)

Actual results:

"You currently don't have any Content Views. A Content View can be added by using the button on the right."
But there is no button on the right

Expected results:

Some other message saying | don't have access

Additional info:

| went through multiple Foreman pages and they don't mention creation. User either is presented the button or not. Perhaps Katello
could do the same.

History

#1 - 06/27/2018 05:55 PM - Andrew Kofink

- Subject changed from Invalid Message for Users with Viewer Access
to Invalid Message for Users with Viewer Access

- Description updated

- translation missing: en.field_release set to 338

#2 - 08/03/2018 05:43 PM - Jonathon Turel
- Target version changed from Katello 3.7.0 to Katello 3.9.0
- Found in Releases Katello 3.7.0 added

#3 - 10/03/2018 06:08 PM - Jonathon Turel
https://bugzilla.redhat.com/show_bug.cgi?id=1593880

- Target version changed from Katello 3.9.0 to Katello Backlog
